Up

# NSMenuItemCell

### Authors

Michael Hanni (`mhanni@sprintmail.com`)

Copyright: (C) 1999 Free Software Foundation, Inc.

# Software documentation for the NSMenuItemCell class

## NSMenuItemCell : NSButtonCell

> Declared in:
>   AppKit/NSMenuItemCell.h

> Conforms to:
>   NSCopying
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -calcSize
- -drawBorderAndBackgroundWithFrame:inView:
- -drawImageWithFrame:inView:
- -drawKeyEquivalentWithFrame:inView:
- -drawSeparatorItemWithFrame:inView:
- -drawStateImageWithFrame:inView:
- -drawTitleWithFrame:inView:
- -imageRectForBounds:
- -imageWidth
- -isHighlighted
- -keyEquivalentRectForBounds:
- -keyEquivalentWidth
- -menuItem
- -menuView
- -needsSizing
- -setHighlighted:
- -setMenuItem:
- -setMenuView:
- -setNeedsSizing:
- -stateImageRectForBounds:
- -stateImageWidth
- -titleRectForBounds:
- -titleWidth

### calcSize

- (void) calcSize;

Description forthcoming.

### drawBorderAndBackgroundWithFrame:inView:

- (void) drawBorderAndBackgroundWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### drawImageWithFrame:inView:

- (void) drawImageWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### drawKeyEquivalentWithFrame:inView:

- (void) drawKeyEquivalentWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### drawSeparatorItemWithFrame:inView:

- (void) drawSeparatorItemWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### drawStateImageWithFrame:inView:

- (void) drawStateImageWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### drawTitleWithFrame:inView:

- (void) drawTitleWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### imageRectForBounds:

- (NSRect) imageRectForBounds: (NSRect)cellFrame;

Description forthcoming.

### imageWidth

- (float) imageWidth;

Description forthcoming.

### isHighlighted

- (BOOL) isHighlighted;

Description forthcoming.

### keyEquivalentRectForBounds:

- (NSRect) keyEquivalentRectForBounds: (NSRect)cellFrame;

Description forthcoming.

### keyEquivalentWidth

- (float) keyEquivalentWidth;

Description forthcoming.

### menuItem

- (NSMenuItem*) menuItem;

Description forthcoming.

### menuView

- (NSMenuView*) menuView;

Description forthcoming.

### needsSizing

- (BOOL) needsSizing;

Description forthcoming.

### setHighlighted:

- (void) setHighlighted: (BOOL)flag;

Description forthcoming.

### setMenuItem:

- (void) setMenuItem: (NSMenuItem*)item;

Description forthcoming.

### setMenuView:

- (void) setMenuView: (NSMenuView*)menuView;

Description forthcoming.

### setNeedsSizing:

- (void) setNeedsSizing: (BOOL)flag;

Description forthcoming.

### stateImageRectForBounds:

- (NSRect) stateImageRectForBounds: (NSRect)cellFrame;

Description forthcoming.

### stateImageWidth

- (float) stateImageWidth;

Description forthcoming.

### titleRectForBounds:

- (NSRect) titleRectForBounds: (NSRect)cellFrame;

Description forthcoming.

### titleWidth

- (float) titleWidth;

Description forthcoming.

Up